local L = LibStub("AceLocale-3.0"):NewLocale("LevelLogger", "enUS", true);
if not L then return end

-- command line help text
L["helpText"] = {
	"LevelLogger command line usage: |cFFFF44CC/lvlog |cFF00FF80<number> <level> <channel> <who>|r",
	"The /lvlog command can send reports to various chat channels",
	"With no arguments, /lvlog will display the log reporting window",
	"|cFF00FF80<number>|r = reports the last <number> levels up until <level>, default = 5",
	"use zero to report all levels logged",
	"|cFF00FF80<level>|r = reports the log up until this level, default = current level",
	"|cFF00FF80<channel>|r = indicates a chat channel to report in, default = console output",
	"s = /say, y = /yell, p = /party, r = /raid, g = /guild, w = /whisper",
	"|cFF00FF80<who>|r = if using channel w, this specifies the whisper target, default = current target"
};

-- config window text
L["Report Level-Up Date"] = true;
L["Report the date when each level is logged"] = true;
L["Report Level-Up Time"] = true;
L["Report the time of day when each level is logged"] = true;
L["Report Time Played to Level-Up"] = true;
L["Report the time /played to reach each level"] = true;
L["Report Total Time Played"] = true;
L["Report the total time /played when each level is logged"] = true;
L["Send Level-Up Report to Party"] = true;
L["Send level up messages to your party's chat channel"] = true;
L["Send Level-Up Report to Guild"] = true;
L["Send level up messages to your guild's chat channel"] = true;

-- log report date/time formats
L[" on %d-%b-%Y %H:%M:%S"] = true;
L[" on %d-%b-%Y"] = true;
L[" at %H:%M:%S"] = true;

-- log report time messages
L[" in %d days %02d:%02d:%02d (of %d days %02d:%02d:%02d total played)"] = true;
L[" in %d days %02d:%02d:%02d"] = true;
L[" at %d days %02d:%02d:%02d total played"] = true;

-- other report messages
L["Dinged level %d"] = true;
L["No LevelLogger data found for %s"] = true;
L["LevelLogger report for %s"] = true;

-- log report window text
L["%d-%b-%Y %H:%M:%S"] = true;
L["%d days %02d:%02d:%02d"] = true;
L["Level"] = true;
L["Date"] = true;
L["Level Time"] = true;
L["Total Time"] = true;
